package io.scanbot.sdk.flutter.utils

import android.content.ContentResolver
import android.graphics.Bitmap
import android.graphics.BitmapFactory
import android.net.Uri
import android.provider.MediaStore
import java.io.File
import java.io.IOException

fun getBitmapFromContentUri(contentResolver: ContentResolver, data: Uri): Bitmap? {
    return try {
        MediaStore.Images.Media.getBitmap(contentResolver, data)
    } catch (e: IOException) {
        null
    }
}

fun getBitmapFromFileUri(data: File): Bitmap? {
    return try {
        val options = BitmapFactory.Options()
        options.inPreferredConfig = Bitmap.Config.ARGB_8888
        BitmapFactory.decodeFile(data.path, options)
    } catch (e: Throwable) {
        null
    }
}
