//
//  DocumentDetector.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 02.09.19.
//

import Foundation
import ScanbotSDK

class DocumentDetector {
    func detectPolygon(on image: UIImage) -> SBSDKPolygon? {
        let detector = SBSDKDocumentDetector()
        let result = detector.detectDocumentPolygon(on: image,
                                                    visibleImageRect: .zero,
                                                    smoothingEnabled: true,
                                                    useLiveDetectionParameters: false)
        if let polygon = result.polygon,
            result.status == SBSDKDocumentDetectionStatusOK
                || result.status == SBSDKDocumentDetectionStatusOK_BadAngles
                || result.status == SBSDKDocumentDetectionStatusOK_OffCenter
                || result.status == SBSDKDocumentDetectionStatusOK_BadAspectRatio
                || result.status == SBSDKDocumentDetectionStatusOK_SmallSize {
            return polygon
        }
        
        return nil
    }
}
