//
//  OCRConfigGetter.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 02.09.19.
//

import Foundation
import ScanbotSDK
import Flutter

enum OCRConfigGetter {
    static var encodedOCRConfig: String? {
        let languageDataURL = SBSDKResourcesManager.customOCRLanguagesDataURL()
        let installedLanguages = SBSDKOpticalTextRecognizer.installedLanguages()
        
        let dictionary: [String: Any?] = ["languageDataPath": languageDataURL?.path,
                                         "installedLanguages": installedLanguages]
        if let json = try? JSONSerialization.data(withJSONObject: dictionary) {
            let convertedString = String(data: json, encoding: String.Encoding.utf8)
            return convertedString
        }
        return nil
        
    }
}
