//
//  OCRPerformConfiguration.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 03.09.19.
//

import Foundation
import ScanbotSDK

struct OCRPerformConfiguration {
    let languages: String?
    let shouldGeneratePdf: Bool
    let pages: [SBSDKUIPage]
    
    init?(from dictionary: [String: Any]) {
        let configDictionary = dictionary["options"] as? [String: Any]
        if let languages = configDictionary?["languages"] as? [String] {
            self.languages = languages.joined(separator: "+")
        } else {
            self.languages = nil
        }
        
        if let shouldGeneratePdf = configDictionary?["shouldGeneratePdf"] as? Bool {
            self.shouldGeneratePdf = shouldGeneratePdf
        } else {
            self.shouldGeneratePdf = false
        }
        
        let pages = SBSDKUIPage.pages(from: dictionary)
        if pages.isEmpty {
            return nil
        }
        
        self.pages = pages
    }
}
