//
//  TIFFOptions.swift
//  path_provider
//
//  Created by Yevgeniy Knizhnik on 13.11.19.
//

import Foundation
import ScanbotSDK

struct TIFFOptions {
    let isBinarized: Bool
    let dpi: Int
    let compression: SBSDKTIFFImageWriterCompressionOptions
    
    init(from dictionary: [String: Any]) {
        let options = dictionary["options"] as? [String: Any]
        
        let isBinarized = options?["binarized"] as? Bool ?? false
        let dpi = options?["dpi"] as? Int ?? 200
        
        let compressionString = options?["compression"] as? String ?? ""
        let defaultCompression: SBSDKTIFFImageWriterCompressionOptions = isBinarized ? .COMPRESSION_CCITT_T6 : .COMPRESSION_LZW
        let compression = SBSDKTIFFImageWriterCompressionOptions(string: compressionString) ?? defaultCompression
        
        self.isBinarized = isBinarized
        self.dpi = dpi
        self.compression = compression
    }
}
