//
//  Array.swift
//  Pods-Runner
//
//  Created by Zhenya Knizhnik on 30.08.19.
//

import Foundation

extension Array where Iterator.Element == UUID {
    var encodedString: String? {
        if self.isEmpty {
            return nil
        }
        if let json = try? JSONSerialization.data(withJSONObject: self.map({$0.uuidString})) {
            let convertedString = String(data: json, encoding: String.Encoding.utf8)
            return convertedString
        }
        return nil
    }
}
