//
//  Dictionary.swift
//  Pods-Runner
//
//  Created by Zhenya Knizhnik on 23.08.19.
//

import Foundation

extension Dictionary {
    var withoutNils: Dictionary {
        var dictionaryToFix = self
        for key in self.keys {
            if self[key] == nil {
                dictionaryToFix.removeValue(forKey: key)
            }
        }
        return dictionaryToFix
    }
    
    var encodedString: String? {
        if let json = try? JSONSerialization.data(withJSONObject: self) {
            let convertedString = String(data: json, encoding: String.Encoding.utf8)
            return convertedString
        }
        return nil
    }
}
