//
//  Rect.swift
//  path_provider
//
//  Created by Yevgeniy Knizhnik on 11.11.19.
//

import Foundation

extension CGRect {
    var encodedDictionary: [String: Any] {
        return ["x": self.origin.x, "y": self.origin.y, "height": self.height, "width": self.width]
    }
    
    init(from dictionary: [String: Any]) {
        self = .zero
        if let x = dictionary["x"] as? CGFloat,
            let y = dictionary["y"] as? CGFloat {
            self.origin.x = x
            self.origin.y = y
        }
        
        if let width = dictionary["width"] as? CGFloat {
            self.size.width = width
        }
        if let height = dictionary["height"] as? CGFloat {
            self.size.height = height
        }
    }
}
