//
//  SBSDKUIBarcodesBatchScannerBehaviorConfiguration.swift
//  barcode_scanner
//
//  Created by Yevgeniy Knizhnik on 20.01.21.
//

import Foundation
import ScanbotSDK

extension SBSDKUIBarcodesBatchScannerBehaviorConfiguration {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        
        if let flashEnabled = dictionary["flashEnabled"] as? Bool {
            self.isFlashEnabled = flashEnabled
        }
        
        if let successBeepEnabled = dictionary["successBeepEnabled"] as? Bool {
            self.isSuccessBeepEnabled = successBeepEnabled
        }
        
        if let value = dictionary["additionalParameters"] as? [String: Any] {
            let barcodeImageGenerationType = SBSDKBarcodeAdditionalParameters(from: value)
            self.additionalDetectionParameters = barcodeImageGenerationType
        }

        if let focusLockEnabled = dictionary["minFocusDistanceLock"] as? Bool {
            self.isFocusLockEnabled = focusLockEnabled
        }
        
        if let engineMode = SBSDKBarcodeEngineMode.fromArguments(dictionary) {
            self.engineMode = engineMode
        }
    }
}
