//
//  SBSDKUIBarcodesBatchScannerUIConfiguration.swift
//  barcode_scanner
//
//  Created by Yevgeniy Knizhnik on 20.01.21.
//

import Foundation
import ScanbotSDK

extension SBSDKUIBarcodesBatchScannerUIConfiguration {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        if let hex = dictionary["topBarButtonsColor"] as? String {
            self.topBarButtonsColor = UIColor(hexString: hex)
        }
        
        if let hex = dictionary["topBarBackgroundColor"] as? String {
            self.topBarBackgroundColor = UIColor(hexString: hex)
        }
        
        if let hex = dictionary["cameraOverlayColor"] as? String {
            self.cameraOverlayColor = UIColor(hexString: hex)
        }
        
        if let hex = dictionary["finderLineColor"] as? String {
            self.finderLineColor = UIColor(hexString: hex)
        }
        
        if let hex = dictionary["finderTextHintColor"] as? String {
            self.finderTextHintColor = UIColor(hexString: hex)
        }
        
        if let hex = dictionary["topBarButtonsInactiveColor"] as? String {
            self.topBarButtonsInactiveColor = UIColor(hexString: hex)
        }
        
        if let hex = dictionary["barcodesCountTextColor"] as? String {
            self.barcodesCountTextColor = UIColor(hexString: hex)
        }
        
        if let cancelButtonHidden = dictionary["cancelButtonHidden"] as? Bool {
            self.isCancelButtonHidden = cancelButtonHidden
        }
        
        if let finderLineWidth = dictionary["finderLineWidth"] as? CGFloat {
            self.finderLineWidth = finderLineWidth
        }
        
        if let aspectDict = dictionary["finderAspectRatio"] as? [String: Any],
            let aspectRatio = SBSDKAspectRatio(from: aspectDict) {
            self.finderAspectRatio = aspectRatio
        }
        
        if let string = dictionary["orientationLockMode"] as? String {
            let allowedInterfaceOrientations = UIInterfaceOrientationMask(from: string)
            self.allowedInterfaceOrientations = allowedInterfaceOrientations
        }
        
        if let hex = dictionary["detailsPrimaryColor"] as? String {
            self.detailsPrimaryColor = UIColor(hexString: hex)
        }
        
        if let hex = dictionary["detailsActionColor"] as? String {
            self.detailsActionColor = UIColor(hexString: hex)
        }
        
        if let hex = dictionary["detailsBackgroundColor"] as? String {
            self.detailsBackgroundColor = UIColor(hexString: hex)
        }
    }
}
