//
//  SBSDKAAMVARecordFieldType.swift
//  scanbot_sdk
//
//  Created by Danil Voitenko on 08.05.20.
//

import Foundation
import ScanbotSDK

extension SBSDKAAMVARecordFieldType {
    var stringName: String? {
        switch self {
        case .unknown: return "Unknown"
        case .fullName: return "FullName"
        case .lastName: return "LastName"
        case .familyName: return "FamilyName"
        case .firstName: return "FirstName"
        case .middleNameOrInitial: return "MiddleNameOrInitial"
        case .nameSuffix: return "NameSuffix"
        case .namePrefix: return "NamePrefix"
        case .mailingStreetAddress1: return "MailingStreetAddress1"
        case .mailingStreetAddress2: return "MailingStreetAddress2"
        case .mailingCity: return "MailingCity"
        case .mailingJurisdictionCode: return "MailingJurisdictionCode"
        case .mailingPostalCode: return "MailingPostalCode"
        case .residenceStreetAddress1: return "ResidenceStreetAddress1"
        case .residenceStreetAddress2: return "ResidenceStreetAddress2"
        case .residenceCity: return "ResidenceCity"
        case .residenceJurisdictionCode: return "ResidenceJurisdictionCode"
        case .residencePostalCode: return "ResidencePostalCode"
        case .licenseOrIdNumber: return "LicenseOrIdNumber"
        case .licenseClassificationCode: return "LicenseClassificationCode"
        case .licenseRestrictionCode: return "LicenseRestrictionCode"
        case .licenseEndorsementsCode: return "LicenseEndorsementsCode"
        case .heightInFeetInches: return "HeightInFeetInches"
        case .heightInCM: return "HeightInCM"
        case .weightInLBS: return "WeightInLBS"
        case .weightInKG: return "WeightInKG"
        case .eyesColor: return "EyesColor"
        case .hairColor: return "HairColor"
        case .licenseExpirationDate: return "LicenseExpirationDate"
        case .dateOfBirth: return "DateOfBirth"
        case .sex: return "Sex"
        case .licenseOrIdDocumentIssueDate: return "LicenseOrIdDocumentIssueDate"
        case .issueTimestamp: return "IssueTimestamp"
        case .numberOfDuplicates: return "NumberOfDuplicates"
        case .medicalIndicatorCodes: return "MedicalIndicatorCodes"
        case .organDonor: return "OrganDonor"
        case .nonResidentIndicator: return "NonResidentIndicator"
        case .uniqueCustomerIdentifier: return "UniqueCustomerIdentifier"
        case .socialSecurityNumber: return "SocialSecurityNumber"
        case .suffix: return "Suffix"
        case .prefix: return "Prefix"
        case .virginiaSpecificClass: return "VirginiaSpecificClass"
        case .virginiaSpecificRestrictions: return "VirginiaSpecificRestrictions"
        case .virginiaSpecificEndorsements: return "VirginiaSpecificEndorsements"
        case .physicalDescriptionWeightRange: return "PhysicalDescriptionWeightRange"
        case .documentDiscriminator: return "DocumentDiscriminator"
        case .countryTerritoryOfIssuance: return "CountryTerritoryOfIssuance"
        case .federalCommercialVehicleCodes: return "FederalCommercialVehicleCodes"
        case .placeOfBirth: return "PlaceOfBirth"
        case .auditInformation: return "AuditInformation"
        case .inventoryControlNumber: return "InventoryControlNumber"
        case .raceEthnicity: return "RaceEthnicity"
        case .standardVehicleClassification: return "StandardVehicleClassification"
        case .standardEndorsementCode: return "StandardEndorsementCode"
        case .standardRestrictionCode: return "StandardRestrictionCode"
        case .jurisdictionSpecificVehicleClassificationDescription: return "JurisdictionSpecificVehicleClassificationDescription"
        case .jurisdictionSpecific: return "JurisdictionSpecific"
        case .jurisdictionSpecificRestrictionCodeDescription: return "JurisdictionSpecificRestrictionCodeDescription"
        case .complianceType: return "ComplianceType"
        case .cardRevisionDate: return "CardRevisionDate"
        case .hazMatEndorsementExpiryDate: return "HazMatEndorsementExpiryDate"
        case .limitedDurationDocumentIndicator: return "LimitedDurationDocumentIndicator"
        case .familyNameTruncation: return "FamilyNameTruncation"
        case .firstNamesTruncation: return "FirstNamesTruncation"
        case .middleNamesTruncation: return "MiddleNamesTruncation"
        case .under18Until: return "Under18Until"
        case .under19Until: return "Under19Until"
        case .under21Until: return "Under21Until"
        case .organDonorIndicator: return "OrganDonorIndicator"
        case .veteranIndicator: return "VeteranIndicator"
        case .permitClassificationCode: return "PermitClassificationCode"
        case .permitExpirationDate: return "PermitExpirationDate"
        case .permitIdentifier: return "PermitIdentifier"
        case .permitIssueDate: return "PermitIssueDate"
        case .permitRestrictionCode: return "PermitRestrictionCode"
        case .permitEndorsementCode: return "PermitEndorsementCode"
        case .courtRestrictionCode: return "CourtRestrictionCode"
        @unknown default: return "Unknown"
        }
    }
    
    init(string: String) {
        switch string {
        case "Unknown": self = .unknown
        case "FullName": self = .fullName
        case "LastName": self = .lastName
        case "FamilyName": self = .familyName
        case "FirstName": self = .firstName
        case "MiddleNameOrInitial": self = .middleNameOrInitial
        case "NameSuffix": self = .nameSuffix
        case "NamePrefix": self = .namePrefix
        case "MailingStreetAddress1": self = .mailingStreetAddress1
        case "MailingStreetAddress2": self = .mailingStreetAddress2
        case "MailingCity": self = .mailingCity
        case "MailingJurisdictionCode": self = .mailingJurisdictionCode
        case "MailingPostalCode": self = .mailingPostalCode
        case "ResidenceStreetAddress1": self = .residenceStreetAddress1
        case "ResidenceStreetAddress2": self = .residenceStreetAddress2
        case "ResidenceCity": self = .residenceCity
        case "ResidenceJurisdictionCode": self = .residenceJurisdictionCode
        case "ResidencePostalCode": self = .residencePostalCode
        case "LicenseOrIdNumber": self = .licenseOrIdNumber
        case "LicenseClassificationCode": self = .licenseClassificationCode
        case "LicenseRestrictionCode": self = .licenseRestrictionCode
        case "LicenseEndorsementsCode": self = .licenseEndorsementsCode
        case "HeightInFeetInches": self = .heightInFeetInches
        case "HeightInCM": self = .heightInCM
        case "WeightInLBS": self = .weightInLBS
        case "WeightInKG": self = .weightInKG
        case "EyesColor": self = .eyesColor
        case "HairColor": self = .hairColor
        case "LicenseExpirationDate": self = .licenseExpirationDate
        case "DateOfBirth": self = .dateOfBirth
        case "Sex": self = .sex
        case "LicenseOrIdDocumentIssueDate": self = .licenseOrIdDocumentIssueDate
        case "IssueTimestamp": self = .issueTimestamp
        case "NumberOfDuplicates": self = .numberOfDuplicates
        case "MedicalIndicatorCodes": self = .medicalIndicatorCodes
        case "OrganDonor": self = .organDonor
        case "NonResidentIndicator": self = .nonResidentIndicator
        case "UniqueCustomerIdentifier": self = .uniqueCustomerIdentifier
        case "SocialSecurityNumber": self = .socialSecurityNumber
        case "Suffix": self = .suffix
        case "Prefix": self = .prefix
        case "VirginiaSpecificClass": self = .virginiaSpecificClass
        case "VirginiaSpecificRestrictions": self = .virginiaSpecificRestrictions
        case "VirginiaSpecificEndorsements": self = .virginiaSpecificEndorsements
        case "PhysicalDescriptionWeightRange": self = .physicalDescriptionWeightRange
        case "DocumentDiscriminator": self = .documentDiscriminator
        case "CountryTerritoryOfIssuance": self = .countryTerritoryOfIssuance
        case "FederalCommercialVehicleCodes": self = .federalCommercialVehicleCodes
        case "PlaceOfBirth": self = .placeOfBirth
        case "AuditInformation": self = .auditInformation
        case "InventoryControlNumber": self = .inventoryControlNumber
        case "RaceEthnicity": self = .raceEthnicity
        case "StandardVehicleClassification": self = .standardVehicleClassification
        case "StandardEndorsementCode": self = .standardEndorsementCode
        case "StandardRestrictionCode": self = .standardRestrictionCode
        case "JurisdictionSpecificVehicleClassificationDescription": self = .jurisdictionSpecificVehicleClassificationDescription
        case "JurisdictionSpecific": self = .jurisdictionSpecific
        case "JurisdictionSpecificRestrictionCodeDescription": self = .jurisdictionSpecificRestrictionCodeDescription
        case "ComplianceType": self = .complianceType
        case "CardRevisionDate": self = .cardRevisionDate
        case "HazMatEndorsementExpiryDate": self = .hazMatEndorsementExpiryDate
        case "LimitedDurationDocumentIndicator": self = .limitedDurationDocumentIndicator
        case "FamilyNameTruncation": self = .familyNameTruncation
        case "FirstNamesTruncation": self = .firstNamesTruncation
        case "MiddleNamesTruncation": self = .middleNamesTruncation
        case "Under18Until": self = .under18Until
        case "Under19Until": self = .under19Until
        case "Under21Until": self = .under21Until
        case "OrganDonorIndicator": self = .organDonorIndicator
        case "VeteranIndicator": self = .veteranIndicator
        case "PermitClassificationCode": self = .permitClassificationCode
        case "PermitExpirationDate": self = .permitExpirationDate
        case "PermitIdentifier": self = .permitIdentifier
        case "PermitIssueDate": self = .permitIssueDate
        case "PermitRestrictionCode": self = .permitRestrictionCode
        case "PermitEndorsementCode": self = .permitEndorsementCode
        case "CourtRestrictionCode": self = .permitRestrictionCode
        default: self = .unknown
        }
    }
}
