//
//  SBSDKBoardingPassDocumentFieldType.swift
//  scanbot_sdk
//
//  Created by Danil Voitenko on 08.05.20.
//

import Foundation
import ScanbotSDK

extension SBSDKBoardingPassDocumentFieldType {
    var stringName: String? {
        switch self {
        case .operatingCarrierPNRCode: return "OperatingCarrierPNRCode"
        case .departureAirportCode: return "DepartureAirportCode"
        case .destinationAirportCode: return "DestinationAirportCode"
        case .operatingCarrierDesignator: return "OperatingCarrierDesignator"
        case .flightNumber: return "FlightNumber"
        case .dateOfFlightJulian: return "DateOfFlightJulian"
        case .compartmentCode: return "CompartmentCode"
        case .seatNumber: return "SeatNumber"
        case .checkInSequenceNumber: return "CheckInSequenceNumber"
        case .passengerStatus: return "PassengerStatus"
        case .versionNumber: return "VersionNumber"
        case .passengerDescription: return "PassengerDescription"
        case .sourceOfCheckIn: return "SourceOfCheckIn"
        case .sourceOfBoardingPassIssuance: return "SourceOfBoardingPassIssuance"
        case .dateOfBoardingPassIssuanceJulian: return "DateOfBoardingPassIssuanceJulian"
        case .documentType: return "DocumentType"
        case .airlineDesignatorOfBoardingPassIssuer: return "AirlineDesignatorOfBoardingPassIssuer"
        case .baggageTagLicensePlateNumbers: return "BaggageTagLicensePlateNumbers"
        case .firstNonConsecutiveBaggageTagLicensePlateNumber: return "FirstNonConsecutiveBaggageTagLicensePlateNumber"
        case .secondNonConsecutiveBaggageTagLicensePlateNumber: return "SecongNonConsecutiveBaggageTagLicensePlateNumber"
        case .airlineNumericCode: return "AirlineNumericCode"
        case .documentFormSerialNumber: return "DocumentFormSerialNumber"
        case .selecteeIndicator: return "SelecteeIndicator"
        case .internationalDocumentationVerification: return "InternationalDocumentationVerification"
        case .marketingCarrierDesignator: return "MarketingCarrierDesignator"
        case .frequentFlyerAirlineDesignator: return "FrequentFlyerAirlineDesignator"
        case .frequentFlyerNumber: return "FrequentFlyerNumber"
        case .idadIndicator: return "IDADIndicator"
        case .freeBaggageAllowance: return "FreeBaggageAllowance"
        case .fastTrack: return "FastTrack"
        case .forIndividualAirlineUse: return "ForIndividualAirlineUse"
        @unknown default: preconditionFailure("Unknown SBSDKBoardingPassDocumentFieldType")
        }
    }
    
    init(string: String) {
        switch string {
        case "OperatingCarrierPNRCode": self = .operatingCarrierPNRCode
        case "DepartureAirportCode": self = .departureAirportCode
        case "DestinationAirportCode": self = .destinationAirportCode
        case "OperatingCarrierDesignator": self = .operatingCarrierDesignator
        case "FlightNumber": self = .flightNumber
        case "DateOfFlightJulian": self = .dateOfFlightJulian
        case "CompartmentCode": self = .compartmentCode
        case "SeatNumber": self = .seatNumber
        case "CheckInSequenceNumber": self = .checkInSequenceNumber
        case "PassengerStatus": self = .passengerStatus
        case "VersionNumber": self = .versionNumber
        case "PassengerDescription": self = .passengerDescription
        case "SourceOfCheckIn": self = .sourceOfCheckIn
        case "SourceOfBoardingPassIssuance": self = .sourceOfBoardingPassIssuance
        case "DateOfBoardingPassIssuanceJulian": self = .dateOfBoardingPassIssuanceJulian
        case "DocumentType": self = .documentType
        case "AirlineDesignatorOfBoardingPassIssuer": self = .airlineDesignatorOfBoardingPassIssuer
        case "BaggageTagLicensePlateNumbers": self = .baggageTagLicensePlateNumbers
        case "FirstNonConsecutiveBaggageTagLicensePlateNumber": self = .firstNonConsecutiveBaggageTagLicensePlateNumber
        case "SecongNonConsecutiveBaggageTagLicensePlateNumber": self = .secondNonConsecutiveBaggageTagLicensePlateNumber
        case "AirlineNumericCode": self = .airlineNumericCode
        case "DocumentFormSerialNumber": self = .documentFormSerialNumber
        case "SelecteeIndicator": self = .selecteeIndicator
        case "InternationalDocumentationVerification": self = .internationalDocumentationVerification
        case "MarketingCarrierDesignator": self = .marketingCarrierDesignator
        case "FrequentFlyerAirlineDesignator": self = .frequentFlyerAirlineDesignator
        case "FrequentFlyerNumber": self = .frequentFlyerNumber
        case "IDADIndicator": self = .idadIndicator
        case "FreeBaggageAllowance": self = .freeBaggageAllowance
        case "FastTrack": self = .fastTrack
        case "ForIndividualAirlineUse": self = .forIndividualAirlineUse
        default: preconditionFailure("Unknown SBSDKBoardingPassDocumentFieldType")
        }
    }
}
