//
//  SBSDKIDCardPDF417DocumentFieldType.swift
//  scanbot_sdk
//
//  Created by Danil Voitenko on 08.05.20.
//

import Foundation
import ScanbotSDK

extension SBSDKIDCardPDF417DocumentFieldType {
    var stringName: String? {
        switch self {
        case .firstName: return "FirstName"
        case .lastName: return "LastName"
        case .documentCode: return "DocumentCode"
        case .birthDate: return "BirthDate"
        case .dateIssued: return "DateIssued"
        case .dateExpired: return "DateExpired"
        case .optional1: return "Optional1"
        @unknown default: preconditionFailure("Unknown SBSDKIDCardPDF417DocumentFieldType")
        }
    }
    
    init(string: String) {
        switch string {
        case "FirstName": self = .firstName
        case "LastName": self = .lastName
        case "DocumentCode": self = .documentCode
        case "BirthDate": self = .birthDate
        case "DateIssued": self = .dateIssued
        case "DateExpired": self = .dateExpired
        case "Optional1": self = .optional1
        default: preconditionFailure("Unknown IDCardPDF417DocumentFieldType")
        }
    }
}
