//
//  SBSDKMedicalPlanDoctorFieldType.swift
//  scanbot_sdk
//
//  Created by Danil Voitenko on 11.05.20.
//

import Foundation
import ScanbotSDK

extension SBSDKMedicalPlanDoctorFieldType {
    var stringName: String {
        switch self {
        case .issuerName: return "IssuerName"
        case .doctorNumber: return "DoctorNumber"
        case .pharmacyID: return "PharmacyID"
        case .hospitalID: return "HospitalID"
        case .street: return "Street"
        case .postalCode: return "PostalCode"
        case .place: return "Place"
        case .telephoneNumber: return "TelephoneNumber"
        case .email: return "Email"
        case .issuingDateAndTime: return "IssuingDateAndTime"
        @unknown default: preconditionFailure("Unknown SBSDKMedicalPlanDoctorFieldType")
        }
    }
    
    init(string: String) {
        switch string {
        case "IssuerName": self = .issuerName
        case "DoctorNumber": self = .doctorNumber
        case "PharmacyID": self = .pharmacyID
        case "HospitalID": self = .hospitalID
        case "Street": self = .street
        case "PostalCode": self = .postalCode
        case "Place": self = .place
        case "TelephoneNumber": self = .telephoneNumber
        case "Email": self = .email
        case "IssuingDateAndTime": self = .issuingDateAndTime
        default: preconditionFailure("Unknown SBSDKMedicalPlanDoctorFieldType")
        }
    }
}
