//
//  SBSDKMedicalPlanMedicineFieldType.swift
//  scanbot_sdk
//
//  Created by Danil Voitenko on 11.05.20.
//

import Foundation
import ScanbotSDK

extension SBSDKMedicalPlanMedicineFieldType {
    var stringName: String? {
        switch self {
        case .pharmaceuticalNumber: return "PharmaceuticalNumber"
        case .drugName: return "DrugName"
        case .dosageForm: return "DosageForm"
        case .dosageFormFreeText: return "DosageFormFreeText"
        case .morning: return "Morning"
        case .midday: return "Midday"
        case .evening: return "Evening"
        case .night: return "Night"
        case .dosageFreeText: return "DosageFreeText"
        case .dosingUnit: return "DosingUnit"
        case .dosingUnitFreeText: return "DosingUnitFreeText"
        case .relevantInfo: return "RelevantInfo"
        case .reasonForTreatment: return "ReasonForTreatment"
        case .generalNotes: return "GeneralNotes"
        @unknown default: preconditionFailure("Unknown SBSDKMedicalPlanMedicineFieldType")
        }
    }
    
    init(string: String) {
        switch string {
        case "PharmaceuticalNumber": self = .pharmaceuticalNumber
        case "DrugName": self = .drugName
        case "DosageForm": self = .dosageForm
        case "DosageFormFreeText": self = .dosageFormFreeText
        case "Morning": self = .morning
        case "Midday": self = .midday
        case "Evening": self = .evening
        case "Night": self = .night
        case "DosageFreeText": self = .dosageFreeText
        case "DosingUnit": self = .dosingUnit
        case "DosingUnitFreeText": self = .dosingUnitFreeText
        case "RelevantInfo": self = .relevantInfo
        case "ReasonForTreatment": self = .reasonForTreatment
        case "GeneralNotes": self = .generalNotes
        default: preconditionFailure("Unknown SBSDKMedicalPlanMedicineFieldType")
        }
    }
}
