//
//  SBSDKMedicalPlanPatientFieldType.swift
//  scanbot_sdk
//
//  Created by Danil Voitenko on 11.05.20.
//

import Foundation
import ScanbotSDK

extension SBSDKMedicalPlanPatientFieldType {
    var stringName: String {
        switch self {
        case .firstName: return "FirstName"
        case .lastName: return "LastName"
        case .title: return "Title"
        case .preName: return "PreName"
        case .suffix: return "Suffix"
        case .patientID: return "PatientID"
        case .birthDate: return "BirthDate"
        case .gender: return "Gender"
        case .weight: return "Weight"
        case .height: return "Height"
        case .creatinineValue: return "CreatinineValue"
        case .allergiesAndIntolerances: return "AllergiesAndIntolerances"
        case .breastFeeding: return "BreastFeeding"
        case .pregnant: return "Pregnant"
        case .patientFreeText: return "PatientFreeText"
        @unknown default: preconditionFailure("Unknown SBSDKMedicalPlanPatientFieldType")
        }
    }
    
    init(string: String) {
        switch string {
        case "FirstName": self = .firstName
        case "LastName": self = .lastName
        case "Title": self = .title
        case "PreName": self = .preName
        case "Suffix": self = .suffix
        case "PatientID": self = .patientID
        case "BirthDate": self = .birthDate
        case "Gender": self = .gender
        case "Weight": self = .weight
        case "Height": self = .height
        case "CreatinineValue": self = .creatinineValue
        case "AllergiesAndIntolerances": self = .allergiesAndIntolerances
        case "BreastFeeding": self = .breastFeeding
        case "Pregnant": self = .pregnant
        case "PatientFreeText": self = .patientFreeText
        default: preconditionFailure("Unknown SBSDKMedicalPlanPatientFieldType")
        }
    }
}
