//
//  SBSDKSEPADocumentFieldType.swift
//  scanbot_sdk
//
//  Created by Danil Voitenko on 08.05.20.
//

import Foundation
import ScanbotSDK

extension SBSDKSEPADocumentFieldType {
    var stringName: String? {
        switch self {
        case .serviceTag: return "ServiceTag"
        case .version: return "Version"
        case .characterSet: return "CharacterSet"
        case .identification: return "Identification"
        case .receiverIBAN: return "ReceiverIBAN"
        case .receiverBIC: return "ReceiverBIC"
        case .receiverName: return "ReceiverName"
        case .amount: return "Amount"
        case .purpose: return "Purpose"
        case .remittance: return "Remittance"
        case .information: return "Information"
        default: preconditionFailure("Unknown SBSDKSEPADocumentFieldType")
        }
    }

    init(string: String) {
        switch string {
        case "ServiceTag": self = .serviceTag
        case "Version": self = .version
        case "CharacterSet": self = .characterSet
        case "Identification": self = .identification
        case "ReceiverIBAN": self = .receiverIBAN
        case "ReceiverBIC": self = .receiverBIC
        case "ReceiverName": self = .receiverName
        case "Amount": self = .amount
        case "Purpose": self =  .purpose
        case "Remittance": self = .remittance
        case "Information": self = .information
        default: preconditionFailure("Unknown SBSDKSEPADocumentFieldType")
        }
    }
}
