//
//  SBSDKVCardDocumentFieldType.swift
//  scanbot_sdk
//
//  Created by Danil Voitenko on 11.05.20.
//

import Foundation
import ScanbotSDK

extension SBSDKVCardDocumentFieldType {
    var stringName: String {
        switch self {
        case .version: return "Version"
        case .source: return "Source"
        case .kind: return "Kind"
        case .XML: return "XML"
        case .name: return "Name"
        case .firstName: return "FirstName"
        case .nickname: return "Nickname"
        case .birthday: return "Birthday"
        case .anniversary: return "Anniversary"
        case .gender: return "Gender"
        case .deliveryAddress: return "DeliveryAddress"
        case .photo: return "Photo"
        case .telephoneNumber: return "TelephoneNumber"
        case .email: return "Email"
        case .IMPP: return "IMPP"
        case .languages: return "Languages"
        case .timeZone: return "TimeZone"
        case .geoLocation: return "GeoLocation"
        case .title: return "Title"
        case .role: return "Role"
        case .logo: return "Logo"
        case .organisation: return "Organisation"
        case .member: return "Member"
        case .related: return "Related"
        case .categories: return "Categories"
        case .note: return "Note"
        case .productId: return "ProductId"
        case .revision: return "Revision"
        case .sound: return "Sound"
        case .UID: return "UID"
        case .clientPIDMap: return "ClientPIDMap"
        case .URL: return "URL"
        case .publicKey: return "PublicKey"
        case .busyTimeURL: return "BusyTimeURL"
        case .calendarURIForRequests: return "CalendarURIForRequests"
        case .calendarURI: return "CalendarURI"
        case .custom: return "Custom"
        default: preconditionFailure("Unknown SBSDKVCardDocumentFieldType")
        }
    }
    
    init(string: String) {
        switch string {
        case "Version": self = .version
        case "Source": self = .source
        case "Kind": self = .kind
        case "XML": self = .XML
        case "Name": self = .name
        case "FirstName": self = .firstName
        case "Nickname": self = .nickname
        case "Birthday": self = .birthday
        case "Anniversary": self = .anniversary
        case "Gender": self = .gender
        case "DeliveryAddress": self = .deliveryAddress
        case "Photo": self = .photo
        case "TelephoneNumber": self = .telephoneNumber
        case "Email": self = .email
        case "IMPP": self = .IMPP
        case "Languages": self = .languages
        case "TimeZone": self = .timeZone
        case "GeoLocation": self = .geoLocation
        case "Title": self = .title
        case "Role": self = .role
        case "Logo": self = .logo
        case "Organisation": self = .organisation
        case "Member": self = .member
        case "Related": self = .related
        case "Categories": self = .categories
        case "Note": self = .note
        case "ProductId": self = .productId
        case "Revision": self = .revision
        case "Sound": self = .sound
        case "UID": self = .UID
        case "ClientPIDMap": self = .clientPIDMap
        case "URL": self = .URL
        case "PublicKey": self = .publicKey
        case "BusyTimeURL": self = .busyTimeURL
        case "CallendarURIForRequests": self = .calendarURIForRequests
        case "CallendarURI": self = .calendarURI
        case "Custom": self = .custom
        default: preconditionFailure("Unknown SBSDKVCardDocumentFieldType")
        }
    }
}
