//
//  SBSDKDocumentDetectorMode.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 19.05.20.
//

import Foundation
import ScanbotSDK

extension SBSDKDocumentDetectorMode {
    init(from string: String) {
        switch string {
        case "EDGE_BASED": self = .standard
        case "ML_BASED":
            if #available(iOS 11.2, *) {
                self = .machineLearning
            } else {
                self = .standard
            }
        default: self = .standard
        }
    }
}
