//
//  SBSDKImageFilterType.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 22.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKImageFilterType {
    var stringName: String? {
        switch self {
        case SBSDKImageFilterTypeNone: return "NONE"
        case SBSDKImageFilterTypeColor: return "COLOR_ENHANCED"
        case SBSDKImageFilterTypeGray: return "GRAYSCALE"
        case SBSDKImageFilterTypeBinarized: return "BINARIZED"
        case SBSDKImageFilterTypeColorDocument: return "COLOR_DOCUMENT"
        case SBSDKImageFilterTypePureBinarized: return "PURE_BINARIZED"
        case SBSDKImageFilterTypeBackgroundClean: return "BACKGROUND_CLEAN"
        case SBSDKImageFilterTypeBlackAndWhite: return "BLACK_AND_WHITE"
        case SBSDKImageFilterTypeOtsuBinarization: return "OTSU_BINARIZATION"
        case SBSDKImageFilterTypeDeepBinarization: return "DEEP_BINARIZATION"
        case SBSDKImageFilterTypeEdgeHighlight: return "EDGE_HIGHLIGHT"
        case SBSDKImageFilterTypeLowLightBinarization: return "LOW_LIGHT_BINARIZATION"
        case SBSDKImageFilterTypeLowLightBinarization2: return "LOW_LIGHT_BINARIZATION_2"
        default: return nil
        }
    }
    
    init(string: String) {
        switch string.replacingOccurrences(of: "ImageFilterType.", with: "") {
        case "NONE": self = SBSDKImageFilterTypeNone
        case "COLOR_ENHANCED": self = SBSDKImageFilterTypeColor
        case "GRAYSCALE": self = SBSDKImageFilterTypeGray
        case "BINARIZED": self = SBSDKImageFilterTypeBinarized
        case "COLOR_DOCUMENT": self = SBSDKImageFilterTypeColorDocument
        case "PURE_BINARIZED": self = SBSDKImageFilterTypePureBinarized
        case "BACKGROUND_CLEAN": self = SBSDKImageFilterTypeBackgroundClean
        case "BLACK_AND_WHITE": self = SBSDKImageFilterTypeBlackAndWhite
        case "OTSU_BINARIZATION": self = SBSDKImageFilterTypeOtsuBinarization
        case "DEEP_BINARIZATION": self = SBSDKImageFilterTypeDeepBinarization
        case "EDGE_HIGHLIGHT": self = SBSDKImageFilterTypeEdgeHighlight
        case "LOW_LIGHT_BINARIZATION": self = SBSDKImageFilterTypeLowLightBinarization
        case "LOW_LIGHT_BINARIZATION_2": self = SBSDKImageFilterTypeLowLightBinarization2
        default: self = SBSDKImageFilterTypeNone
        }
    }
    
    init?(from dictionary: [String: Any]) {
        guard let filterString = dictionary["filter"] as? String else {
            return nil
        }
        self.init(string: filterString)
    }
}
