//
//  SBSDKPDFRendererPageSize.swift
//  Pods-Runner
//
//  Created by Zhenya Knizhnik on 02.09.19.
//

import Foundation
import ScanbotSDK

extension SBSDKPDFRendererPageSize {
    init(string: String) {
        switch string {
        case "FROM_IMAGE": self = .fromImage
        case "A4": self = .A4
        case "FIXED_A4": self = .fixedA4
        case "US_LETTER": self = .usLetter
        case "FIXED_US_LETTER": self = .fixedUSLetter
        case "AUTO": self = .auto
        case "AUTO_LOCALE": self = .autoLocale
        default: self = .auto
        }
    }
    
    init?(from dictionary: [String: Any]) {
        guard let options = dictionary["options"] as? [String: Any],
            let string = options["renderPageSize"] as? String else {
            return nil
        }
        self.init(string: string)
    }
}
