//
//  SBSDKUIGenericDocumentRecognizerBehaviorConfiguration.swift
//  scanbot_sdk
//
//  Created by Sarbjyot Chahal on 12.01.22.
//

import Foundation
import ScanbotSDK

extension SBSDKUIGenericDocumentRecognizerBehaviorConfiguration {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        
        if let flashEnabled = dictionary["flashEnabled"] as? Bool {
            self.isFlashEnabled = flashEnabled
        }
        
        if let sharpnessAcceptanceFactor = dictionary["sharpnessAcceptanceFactor"] as? CGFloat {
            self.sharpnessAcceptanceFactor = sharpnessAcceptanceFactor
        }
        
        if let acceptedDocumentType = dictionary["acceptedDocumentTypes"] as? [String] {
            var acceptedDocumentList: [SBSDKGenericDocumentRootType] = []
            
            if(acceptedDocumentType.contains("DeDriverLicenseFront")){
                acceptedDocumentList.append(SBSDKGenericDocumentRootType.deDriverLicenseFront())
            }
            if(acceptedDocumentType.contains("DeDriverLicenseBack")){
                acceptedDocumentList.append(SBSDKGenericDocumentRootType.deDriverLicenseBack())
            }
            if(acceptedDocumentType.contains("DePassport")){
                acceptedDocumentList.append(SBSDKGenericDocumentRootType.dePassport())
            }
            if(acceptedDocumentType.contains("DeIdCardBack")){
                acceptedDocumentList.append(SBSDKGenericDocumentRootType.deIdCardBack())
            }
            if(acceptedDocumentType.contains("DeIdCardFront")){
                acceptedDocumentList.append(SBSDKGenericDocumentRootType.deIdCardFront())
            }
            
            self.documentType = SBSDKUIDocumentType.init(genericTypes:  acceptedDocumentList)
            
        } else {
            self.documentType = SBSDKUIDocumentType.init(genericTypes: SBSDKGenericDocumentRootType.allDocumentTypes())
        }
    }
}
