//
//  AAMVARecord.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 12.05.20.
//

import Foundation
import ScanbotSDK

extension SBSDKAAMVADocumentSubfileField {
    var encodedDictionary: [String: Any?] {
        return ["type": self.type.stringName,
                "typeString": self.typeString,
                "value": self.value,
                "rawValue": self.rawValue]
    }
}

extension SBSDKAAMVADocumentSubfile {
    var encodedDictionary: [String: Any?] {
        return ["subFileType": self.subFileType,
                "subFileRawHeader": self.subFileRawHeaderString,
                "fields": self.fields.map({$0.encodedDictionary})]
    }
}

extension SBSDKAAMVADocumentFormat {
    var encodedDictionary: [String: Any?] {
        return ["headerRawString": self.headerRawString,
                "fileType": self.fileType,
                "issuerIdentificationNumber": self.issuerIdentificationNumber,
                "AAMVAVersionNumber": self.aamvaVersionNumber,
                "jurisdictionVersionNumber": self.jurisdictionVersionNumber,
                "numberOfEntries": self.numberOfEntries,
                "subfiles": self.subfiles.map({$0.encodedDictionary}),
                "documentFormat": "AAMVA"]
    }
}
