//
//  MedicalPlan.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 12.05.20.
//

import Foundation
import ScanbotSDK

extension SBSDKMedicalPlanSubheadingPrescriptionField {
    var encodedDictionary: [String: Any?] {
        return ["type": self.type.stringName,
                "value": self.value,]
    }
}

extension SBSDKMedicalPlanSubheadingPrescription {
    var encodedDictionary: [String: Any?] {
        return ["fields": self.fields.map({$0.encodedDictionary})]
    }
}


extension SBSDKMedicalPlanMedicineSubstanceField {
    var encodedDictionary: [String: Any?] {
        return ["type": self.type.stringName,
                "value": self.value,]
    }
}

extension SBSDKMedicalPlanMedicineSubstance {
    var encodedDictionary: [String: Any?] {
        return ["fields": self.fields.map({$0.encodedDictionary})]
    }
}


extension SBSDKMedicalPlanMedicineField {
    var encodedDictionary: [String: Any?] {
        return ["type": self.type.stringName,
                "value": self.value,]
    }
}

extension SBSDKMedicalPlanMedicine  {
    var encodedDictionary: [String: Any?] {
        return ["fields": self.fields.map({$0.encodedDictionary}),
                "substances": self.substances.map({$0.encodedDictionary})]
    }
}


extension SBSDKMedicalPlanStandardSubheadingField {
    var encodedDictionary: [String: Any?] {
        return ["type": self.type.stringName,
                "value": self.value,]
    }
}

extension SBSDKMedicalPlanStandardSubheading  {
    var encodedDictionary: [String: Any?] {
        return ["fields": self.fields.map({$0.encodedDictionary}),
                "generalNotes": self.generalNotes,
                "medicines": self.medicines.map({$0.encodedDictionary}),
                "prescriptions": self.prescriptions.map({$0.encodedDictionary})]
    }
}

extension SBSDKMedicalPlanDoctorField {
    var encodedDictionary: [String: Any?] {
        return ["type": self.type.stringName,
                "value": self.value,]
    }
}

extension SBSDKMedicalPlanDoctorInformation {
    var encodedDictionary: [String: Any?] {
        return ["fields": self.fields.map({$0.encodedDictionary})]
    }
}


extension SBSDKMedicalPlanPatientField {
    var encodedDictionary: [String: Any?] {
        return ["type": self.type.stringName,
                "value": self.value,]
    }
}

extension SBSDKMedicalPlanPatientInformation {
    var encodedDictionary: [String: Any?] {
        return ["fields": self.fields.map({$0.encodedDictionary})]
    }
}


extension SBSDKMedicalPlanDocumentFormat {
    var encodedDictionary: [String: Any?] {
        return ["GUID": self.guid,
                "currentPage": self.currentPage,
                "totalNumberOfPages": self.totalNumberOfPages,
                "documentVersionNumber": self.documentVersionNumber,
                "patchVersionNumber": self.patchVersionNumber,
                "languageCountryCode": self.languageCountryCode,
                "patient": self.patient.encodedDictionary,
                "doctor": self.doctor.encodedDictionary,
                "subheadings": self.subheadings.map({$0.encodedDictionary}),
                "documentFormat": "DEMedicalPlan"]
    }
}

