//
//  SBSDKBarcodeAdditionalParameters.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 22.04.21.
//

import Foundation
import ScanbotSDK

extension SBSDKBarcodeAdditionalParameters {
    convenience init(from dictionary: [String: Any]) {
        self.init()

        if let value = dictionary["enableGS1Decoding"] as? Bool {
            self.enableGS1Decoding = value
        }
        
        if let value = dictionary["minimumTextLength"] as? UInt {
            self.minimumTextLength = value
        }
        
        if let value = dictionary["maximumTextLength"] as? UInt {
            self.maximumTextLength = value
        }
        
        if let value = dictionary["minimum1DBarcodesQuietZone"] as? UInt {
            self.minimum1DBarcodesQuietZone = value
        }
        
        if let value = dictionary["msiPlesseyChecksumAlgorithm"] as? String {
            self.msiPlesseyChecksumAlgorithm = SBSDKBarcodeMSIPlesseyChecksumAlgorithm(from: value)
        }
    }
}
