//
//  SBSDKNFCDatagroupDG1.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 08.04.21.
//

import Foundation
import ScanbotSDK

extension SBSDKNFCDatagroupDG1 {
    var encodedDictionary: [String: Any?] {
        let dateFormatter = DateFormatter()
        dateFormatter.dateFormat = "yyyy-MM-dd"
        let dateOfExpiry = dateFormatter.string(from: self.dateOfExpiry)
        let dateOfBirth = dateFormatter.string(from: self.dateOfBirth)
        
        let dictionary: [String: Any?] = ["nameOfDocumentHolder": self.nameOfDocumentHolder,
                                         "compositeCheckDigit": self.compositeCheckDigit,
                                         "nationality": self.nationality,
                                         "sex": self.sex,
                                         "dateOfExpiryCheckDigit": self.dateOfExpiryCheckDigit,
                                         "dateOfExpiry": dateOfExpiry,
                                         "dateOfBirthCheckDigit": self.dateOfBirthCheckDigit,
                                         "dateOfBirth": dateOfBirth,
                                         "optionalDataCheckDigitTd3": self.optionalDataCheckDigitTD3,
                                         "optionalData2": self.optionalData2,
                                         "optionalData": self.optionalData,
                                         "documentNumberCheckDigit": self.documentNumberCheckDigit,
                                         "documentNumber": self.documentNumber,
                                         "issuingStateOrOrganization": self.issuingStateOrOrganization,
                                         "documentType": self.documentType]
        return dictionary
    }
}
