//
//  SBSDKBarcodeEngineMode.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 12.07.21.
//

import Foundation
import ScanbotSDK

extension SBSDKBarcodeEngineMode {
    static func fromArguments(_ arguments: [String: Any]) -> SBSDKBarcodeEngineMode? {
        if let string = arguments["engineMode"] as? String {
            let mode = SBSDKBarcodeEngineMode.from(string: string)
            return mode
        }
        return nil
    }
    
    static func from(string: String) -> SBSDKBarcodeEngineMode? {
        switch string {
        case "NextGen": return .nextGen
        case "Legacy": return .legacy
        default: return nil
        }
    }
}
