//
//  SBSDKIndexedImageStorage.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 03.09.19.
//

import Foundation
import ScanbotSDK

extension SBSDKIndexedImageStorage {
    static func temporaryStorage(for pages: [SBSDKUIPage]) -> SBSDKIndexedImageStorage {
        let folderName = UUID().uuidString
        let storageURL = SBSDKStorageLocation.applicationCachesFolderURL().appendingPathComponent(folderName, isDirectory: true)
        let location = SBSDKStorageLocation(baseURL: storageURL)
        let storage = SBSDKIndexedImageStorage(storageLocation: location,
                                               fileFormat: .JPEG,
                                               withEncrypter: ScanbotSDKUI.defaultPDFEncrypter())
        let images = pages.compactMap({ $0.documentImage() })
        images.forEach({ storage?.add($0) })
        return storage!
    }
}
