//
//  SBSDKPolygon.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 22.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKPolygon {
    var encodedDictionary: [[String: Any]] {
        var polygons: [[String: Any]] = []
        for index in 0...3 {
            let polygon = self.normalizedPoint(with: UInt(index)).encodedDictionary
            polygons.append(polygon)
        }
        return polygons
    }
    
    convenience init?(from dictionary: [String: Any?]) {
        guard let array = dictionary["polygon"] as? [[String: Any]],
            array.count == 4,
            let point1 = CGPoint(from: array[0]),
            let point2 = CGPoint(from: array[1]),
            let point3 = CGPoint(from: array[2]),
            let point4 = CGPoint(from: array[3]) else {
                return nil
        }
        self.init(normalizedPointA: point1, pointB: point2, pointC: point3, pointD: point4)
    }
    
}
