//
//  SBSDKZoomRange.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 12.07.21.
//

import Foundation
import ScanbotSDK

extension SBSDKZoomRange {
    var encodedDictionary: [String: Any] {
        let dictionary: [String: Any] = ["minZoom": self.minZoom,
                                        "maxZoom": self.maxZoom]
        return dictionary
    }
    
    var encodedString: String? {
        return self.encodedDictionary.encodedString
    }
    
    convenience init?(from dictionary: [String: Any?]) {
        guard let minZoom = dictionary["minZoom"] as? CGFloat,
            let maxZoom = dictionary["maxZoom"] as? CGFloat else {
                return nil
        }
        self.init(minZoom: minZoom, andMaxZoom: maxZoom)
    }
    
}
