//
//  UIViewController.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 22.08.19.
//

import UIKit

extension UIViewController {
    class func findTopViewController(for viewController: UIViewController) -> UIViewController {
            
            if let visibleViewController = (viewController as? UINavigationController)?.visibleViewController {
                return self.findTopViewController(for: visibleViewController)
            }
            if let selectedViewController = (viewController as? UITabBarController)?.selectedViewController {
                return self.findTopViewController(for: selectedViewController)
            }
            if let presentedViewController = viewController.presentedViewController {
                return self.findTopViewController(for: presentedViewController)
            }
            return viewController
    }
    
    var topViewController: UIViewController {
        return UIViewController.findTopViewController(for: self)
    }
}
