//
//  LicenseStatus.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 24.09.19.
//

import Foundation
import ScanbotSDK

struct LicenseStatus {
    let isLicenseValid: Bool
    let status: dooLicenseStatus
    let expirationDate: Date?
    
    var encodedString: String? {
        var dictionary: [String: Any?] = ["isLicenseValid": self.isLicenseValid, "status": self.status.stringName]
        if let date = self.expirationDate {
            let formatter = DateFormatter()
            formatter.timeZone = TimeZone(abbreviation: "UTC")
            formatter.dateFormat = "YYYY-MM-dd HH:mm:ss"
            formatter.locale = Locale(identifier: "en_EN")
            let dateString = formatter.string(from: date)
            dictionary["expirationDate"] = dateString
        }
        return dictionary.encodedString
    }
}
