//
//  PluginPreferences.swift
//  path_provider
//
//  Created by Yevgeniy Knizhnik on 22.10.19.
//

import Foundation
import ScanbotSDK

final class PluginPreferences {
    static var shared = PluginPreferences()
    
    var storageCustomFilesURL: URL?
    
    private init() {}
    
    func newStorageCustomFileURL(extensionString: String) -> URL {
        var outputURL = SBSDKStorageLocation.applicationSupportFolderURL()
        
        if let customURL = self.storageCustomFilesURL {
            outputURL = customURL.appendingPathComponent(extensionString, isDirectory: true)
        }
        
        try? FileManager.default.createDirectory(at: outputURL,
                                                 withIntermediateDirectories: true,
                                                 attributes: nil)
        
        outputURL.appendPathComponent(UUID().uuidString.lowercased(), isDirectory: false)
        outputURL.appendPathExtension(extensionString)
        return outputURL
    }
    
    
}
