//
//  CropScreenPresenter.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 28.08.19.
//

import Foundation
import ScanbotSDK
import Flutter

class CropScreenPresenter: NSObject {
    private var resultHandler: FlutterResult?
    
    func present(on presenter: UIViewController,
                 with page: SBSDKUIPage,
                 configuration: SBSDKUICroppingScreenConfiguration,
                 result: @escaping FlutterResult) {
        self.resultHandler = result
        let controller = SBSDKUICroppingViewController.createNew(with: page, with: configuration, andDelegate: self)
        controller.modalPresentationStyle = .fullScreen
        presenter.present(controller, animated: true, completion: nil)
    }
}

extension CropScreenPresenter: SBSDKUICroppingViewControllerDelegate {
    func croppingViewController(_ viewController: SBSDKUICroppingViewController, didFinish changedPage: SBSDKUIPage) {
        self.resultHandler?(["page": changedPage.encodedDictionary].encodedString)
        self.resultHandler = nil
    }
    
    func croppingViewControllerDidCancel(_ viewController: SBSDKUICroppingViewController) {
        self.resultHandler?("CANCELED")
        self.resultHandler = nil
    }
}
