//
//  DocumentScannerPresenter.swift
//  Runner
//
//  Created by Zhenya Knizhnik on 22.08.19.
//  Copyright © 2019 The Chromium Authors. All rights reserved.
//

import UIKit
import ScanbotSDK
import Flutter

class DocumentScannerPresenter: NSObject {
    private var resultHandler: FlutterResult?
    
    func present(on presenter: UIViewController,
                 with configuration: SBSDKUIDocumentScannerConfiguration,
                 result: @escaping FlutterResult) {
        self.resultHandler = result
        let controller = SBSDKUIDocumentScannerViewController.createNew(with: configuration, andDelegate: self)
        controller.modalPresentationStyle = .fullScreen
        presenter.present(controller, animated: true, completion: nil)
    }
}

extension DocumentScannerPresenter: SBSDKUIDocumentScannerViewControllerDelegate {
    func scanningViewController(_ viewController: SBSDKUIDocumentScannerViewController, didFinishWith document: SBSDKUIDocument) {
        self.resultHandler?(document.encodedString)
        self.resultHandler = nil
    }
    
    func scanningViewControllerDidCancel(_ viewController: SBSDKUIDocumentScannerViewController) {
        self.resultHandler?("CANCELED")
        self.resultHandler = nil
    }
}
