//
//  EHICRecognizerPresenter.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 28.08.19.
//

import Foundation
import ScanbotSDK
import Flutter

class EHICRecognizerPresenter: NSObject {
    private var resultHandler: FlutterResult?
    private weak var presenter: UIViewController?
    
    func present(on presenter: UIViewController,
                 with configuration: SBSDKUIHealthInsuranceCardScannerConfiguration,
                 result: @escaping FlutterResult) {
        self.resultHandler = result
        self.presenter = presenter
        let controller = SBSDKUIHealthInsuranceCardScannerViewController.createNew(with: configuration,
                                                                                   andDelegate: self)
        controller.modalPresentationStyle = .fullScreen
        presenter.present(controller, animated: true, completion: nil)
    }
}

extension EHICRecognizerPresenter: SBSDKUIHealthInsuranceCardScannerViewControllerDelegate {
    func healthInsuranceCardDetectionViewController(_ viewController: SBSDKUIHealthInsuranceCardScannerViewController,
                                                    didDetectCard card: SBSDKHealthInsuranceCardRecognitionResult) {
        self.presenter?.dismiss(animated: true, completion: { [weak self] in
            self?.resultHandler?(card.encodedString)
            self?.resultHandler = nil
            self?.presenter = nil
        })
    }
    
    func healthInsuranceCardDetectionViewControllerDidCancel(_ viewController: SBSDKUIHealthInsuranceCardScannerViewController) {
        self.resultHandler?("CANCELED")
        self.resultHandler = nil
        self.presenter = nil
    }
}
