//
//  LicensePlateScannerPresenter.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 19.04.21.
//

import Foundation
import ScanbotSDK
import Flutter

class LicensePlateScannerPresenter: NSObject {
    private var resultHandler: FlutterResult?
    private weak var presenter: UIViewController?

    func present(on presenter: UIViewController,
                 with configuration: SBSDKUILicensePlateScannerConfiguration,
                 result: @escaping FlutterResult) {
        self.resultHandler = result
        self.presenter = presenter
        let controller = SBSDKUILicensePlateScannerViewController.createNew(with: configuration, andDelegate: self)
        controller.modalPresentationStyle = .fullScreen
        presenter.present(controller, animated: true, completion: nil)
    }
    
    private func clean() {
        self.resultHandler = nil
        self.presenter = nil
    }
}

extension LicensePlateScannerPresenter: SBSDKUILicensePlateScannerViewControllerDelegate {
    func licensePlateScanner(_ controller: SBSDKUILicensePlateScannerViewController,
                             didRecognizeLicensePlate result: SBSDKLicensePlateScannerResult) {
        self.presenter?.dismiss(animated: true, completion: { [weak self] in
            self?.resultHandler?(result.encodedDictionary.encodedString)
            self?.clean()
        })
    }
    
    func licensePlateScannerDidCancel(_ controller: SBSDKUILicensePlateScannerViewController) {
        self.clean()
    }
}
