//
//  NFCScannerPresenter.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 08.04.21.
//

import Foundation
import ScanbotSDK
import Flutter

@available(iOS 13.0, *)
class NFCReaderPresenter: NSObject {
    private var resultHandler: FlutterResult?
    private weak var presenter: UIViewController?
    
    func present(on presenter: UIViewController,
                 with configuration: SBSDKUINFCPassportReaderConfiguration,
                 result: @escaping FlutterResult) {
        self.resultHandler = result
        self.presenter = presenter
        
        let controller = SBSDKUINFCPassportReaderViewController.createNew(with: configuration, andDelegate: self)
        controller.modalPresentationStyle = .fullScreen
        presenter.present(controller, animated: true, completion: nil)
    }
}

@available(iOS 13.0, *)
extension NFCReaderPresenter: SBSDKUINFCPassportReaderViewControllerDelegate {
    func nfcPassportReaderViewController(_ viewController: SBSDKUINFCPassportReaderViewController,
                                         didFinishWith result: SBSDKUINFCPassportReaderResult) {
        self.presenter?.dismiss(animated: true, completion: { [weak self] in
            self?.resultHandler?(result.encodedDictionary.encodedString)
            self?.resultHandler = nil
            self?.presenter = nil
        })
    }
    
    func nfcPassportReaderViewControllerDidCancel(_ viewController: SBSDKUINFCPassportReaderViewController) {
        self.resultHandler?("CANCELED")
        self.resultHandler = nil
        self.presenter = nil
    }
}
