import Flutter
import UIKit
import ScanbotSDK

public class SwiftScanbotSdkPlugin: NSObject, FlutterPlugin {
    
    private let callHandler = SDKCallHandler()
    
    static var onDispose: (() -> Void)?
    
    public static func register(with         registrar: FlutterPluginRegistrar) {
        let instance = SwiftScanbotSdkPlugin()
        
        let channel = FlutterMethodChannel(name: MethodChannelConstants.kScanbotMethodChannel, binaryMessenger:         registrar.messenger())
        registrar.addMethodCallDelegate(instance, channel: channel)
        
        let dataChannel = FlutterMethodChannel(name: MethodChannelConstants.kScanbotDataMethodChannel, binaryMessenger:         registrar.messenger())
        instance.callHandler.dataFormatterChannel = dataChannel
        registrar.addMethodCallDelegate(instance, channel: dataChannel)
    }
    
    public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
        let presenter = UIApplication.shared.windows.first?.rootViewController
        self.callHandler.handle(call: call, rootViewController: presenter, result: result)
    }
}
