#!/bin/bash
set -ex

docker build -f jenkins/scanbot-ci/jenkins/pipelines/android/android-ci-common/Dockerfile -t androidsdk:default .
docker build -f jenkins/Dockerfile -t "$IMAGE_NAME":"$IMAGE_TAG" .

if docker ps -a | grep "$CONTAINER_NAME"; then
    docker container rm "$CONTAINER_NAME" -f
fi

docker run -v "$(pwd)":/flutter_tests \
    --rm \
    --name "$CONTAINER_NAME" \
    --network=host \
    --env EMU_PORT="$EMU_PORT" \
    --env GITHUB_TOKEN="$GITHUB_TOKEN" \
    --env ASSETS_URL="$ASSETS_URL" \
    "$IMAGE_NAME":"$IMAGE_TAG" \
    /bin/bash -c "bash jenkins/scripts/build.sh"
