import 'package:flutter/cupertino.dart';
import 'package:scanbot_sdk/classical_components/finder.dart';
import 'package:scanbot_sdk/common_data.dart' as c;

import 'barcode_live_detection.dart';
import 'barcode_scanner_configuration.dart';
import 'classical_camera.dart';

class BarcodeScannerCamera extends StatelessWidget {
  const BarcodeScannerCamera(
      {Key? key,
      required this.cameraDetector,
      required this.configuration,
      required this.onWidgetReady,
      this.onHeavyOperationProcessing})
      : super(key: key);

  final BarcodeCameraLiveDetector cameraDetector;
  final BarcodeCameraConfiguration configuration;
  final Function(ScanbotCameraController controller) onWidgetReady;

  /// triggers when camera plugin make long work eg. saving snap to the image etc.
  final Function(bool)? onHeavyOperationProcessing;

  @override
  Widget build(BuildContext context) {
    var finder = configuration.finder;
    return Stack(
      children: [
        ScanbotCamera(
          detector: cameraDetector,
          // Here we set initial configurations of the camera
          configuration: configuration,
          onCameraReady: onWidgetReady,
          finder: finder,
          onHeavyOperationProcessing: onHeavyOperationProcessing,
        ),
      ],
    );
  }
}
